Bug 234800 - graphics/darktable: Update to 2.6.0
Summary: graphics/darktable: Update to 2.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jean-Sébastien Pédron
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2019-01-09 19:51 UTC by kunda
Modified: 2019-02-23 12:49 UTC (History)
1 user (show)

See Also:
dumbbell: maintainer-feedback+


Attachments
Patch to update darktable to 2.6.0. (4.01 KB, patch)
2019-02-20 23:39 UTC, Darren Mulligan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Darren Mulligan 2019-02-20 23:39:52 UTC
Created attachment 202208 [details]
Patch to update darktable to 2.6.0.

Patch updates darktable to 2.6.0. Tested compiles and working.
Comment 2 commit-hook freebsd_committer 2019-02-23 12:48:25 UTC
A commit references this bug:

Author: dumbbell
Date: Sat Feb 23 12:48:21 UTC 2019
New revision: 493668
URL: https://svnweb.freebsd.org/changeset/ports/493668

Log:
  graphics/darktable: Update to 2.6.0

  Release notes:
  * https://www.darktable.org/2018/12/darktable-260-released/

  The initial patch was provided by Darren Mulligan. On top of it:
  * Warnings about USES=gl and USES=gnome were fixed.
  * The CMake CMAKE_POLICY_DEFAULT_CMP0056 setting was removed.

  PR:		234800
  Submitted by:	Darren Mulligan <fixer@bsdmail.com>
  Reported by:	kunda <chitty_cloud@me.com>

Changes:
  head/graphics/darktable/Makefile
  head/graphics/darktable/distinfo
  head/graphics/darktable/pkg-plist
Comment 3 Jean-Sébastien Pédron freebsd_committer 2019-02-23 12:49:40 UTC
Thank you very much for the patch!